- Qt 6.11
- Qt GUI
- C++ Classes
- QPointingDevice
- Qt 6.11.2 Reference Documentation

# Obsolete Members for QPointingDevice

The following members of class QPointingDevice are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.0)` void | setCapabilities(QInputDevice::Capabilities caps)
`(deprecated in 6.0)` void | setMaximumTouchPoints(int c)
`(deprecated in 6.0)` void | setType(QInputDevice::DeviceType devType)

## Member Function Documentation

### `[deprecated in 6.0]` void QPointingDevice::setCapabilities(QInputDevice::Capabilities caps)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Please use the constructor rather than setters.

### `[deprecated in 6.0]` void QPointingDevice::setMaximumTouchPoints(int c)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Please use the constructor rather than setters.

### `[deprecated in 6.0]` void QPointingDevice::setType(QInputDevice::DeviceType devType)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Please use the constructor rather than setters.

Sets the device type devType and infers the pointer type.